#!/bin/sh

ChrootDir="/var/packages/DNSServer/target/named"
BinDir="/var/packages/DNSServer/target/bin"
RndcKeyFile=${ChrootDir}"/rndc.key"

if [ -f "${ChrootDir}/tmp/status.conf" ]; then
   rm ${ChrootDir}/tmp/status.conf
fi

cd ${BinDir}

./rndc -k ${RndcKeyFile} status | grep 'tcp clients:\|recursive clients:' > ${ChrootDir}/tmp/status.conf

if [ -s "${ChrootDir}/tmp/status.conf" ]; then
	exit 0
else
	exit -1   
fi
   
